@import url('https://fonts.googleapis.com/css2?family=Sriracha&display=swap');

:root{
    --grey1: rgba(80, 80, 80, .5);
    --white1: rgb(245, 245, 245);
    --blue1: rgba(77, 77, 207, .3);
}

*{
    box-sizing: border-box;
    font-family: "Sriracha", cursive;
    font-weight: 400;
    font-style: normal;
}

body{
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    padding: 0;
    margin: 0;
    background: rgb(220,219,233);
    background: linear-gradient(139deg, rgba(220,219,233,1) 0%, rgba(106,106,218,0.8799894957983193) 10%, rgba(211,211,231,0.7763480392156863) 15%, rgba(110,110,215,0.8463760504201681) 23%, rgba(110,110,212,1) 34%, rgba(77,77,207,1) 50%, rgba(113,113,228,1) 79%, rgba(14,14,177,0.8463760504201681) 91%, rgba(163,163,215,1) 100%);
}

header, footer{
    background-color: var(--blue1);
    width: 100vw;
    height: 10vh;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-size: 3em;
    box-shadow: 0 0 10px 5px black;
}

main{
    width: 100vw;
    height: 80vh;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

#startGame{
    background-image: url(./img/bg.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    color: white;
    border-radius: 40px;
    height: 20vh;
    width: 70vw;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 4.5em;
    background-color: var(--blue1);
    cursor: pointer;
    animation: fontAnimation 2s linear infinite;
    box-shadow: 0 0 10px 5px black;
}

#wwm{
   height: 200px;
   animation: moveAcross 12s 10s linear infinite;
   position: absolute;
   transform: translateX(-100vw) translateY(calc(50vh - 93px)) rotate(0deg);
}


@keyframes moveAcross{
    0%{
        transform: translateX(-100vw) translateY(calc(50vh - 93px)) rotate(0deg);
    }
    100%{
        transform: translateX(100vw) translateY(calc(50vh - 93px)) rotate(1300deg);
    }
}

@keyframes fontAnimation{
    0%{
        font-size: 4.5em;
    }
    50%{
        font-size: 5em;
    }
    100%{
        font-size: 4.5em;
    }
}
